local zoom_chest;
local zoom_lever;
--local zone_lock;

dofile('data/Scenes/Minigames/02_scorpion.lua');
dofile('data/Scenes/Minigames/02_lock.lua');

---------------------------------------------------------------------------
function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/02_Dupens_House_Room.lua', 'quest', 'data/Scenes/02_Dupens_House_Main.lua');
    
    PlayCyclicSound('02_Clock', 0)
    
    game_state.screen             = screen;
    game_state.need_anim_sceleton = HasGameState('MiniGameCompleted', '02_lock') and 
                                    not HasGameState('ActionCompleted', game_state.scene_path..'(skeletonAnimated)');
    
    play_field:GetObject('ZOOM_chest_in_room'):SetOpacity(0.);
    play_field:GetObject('chest_top'         ):SetOpacity(0.);
    play_field:GetObject('chest_corner'      ):SetOpacity(0.);
    play_field:GetObject('lighting'          ):SetOpacity(0.);
    
    play_field:GetObject('area_chest'        ):SetVisible(false);
    play_field:GetObject('area_lock'         ):SetVisible(false);
    play_field:GetObject('area_sideboard'    ):SetVisible(false);
    play_field:GetObject('lever1_small'      ):SetVisible(false);
    play_field:GetObject('area_gorilla'      ):SetVisible(false);
    
    play_field:GetObject('skeleton_legs'     ):SetVisible(false);
    play_field:GetObject('skeleton_anim'     ):SetVisible(false);
    play_field:GetObject('skeleton_anim'     ):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject('skeleton_anim'     ):GetAnimation():Stop();
    
    play_field:GetObject('skeleton_without'  ):SetVisible(false);
    
    play_field:GetObject('shutter_anim'      ):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject('shutter_anim'      ):GetAnimation():Stop();
    
    play_field:GetObject('key_anim'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject('key_anim'):GetAnimation():Stop();
    
    play_field:GetObject('plastinka'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP);
    play_field:GetObject('plastinka'):GetAnimation():Stop();
    
    game_state.chest = CreateAnimGroup('area_chest1', 'chest2', 'chest3');
    
    RegisterMonologObject('area_head',  {'C_02_MOUNTED_HEAD_HINT_1', 'C_02_MOUNTED_HEAD_HINT_2'});
    RegisterMonologObject('area_animal', 'C_02_ANIMAL_HINT');
    RegisterMonologObject('area_bottle', 'C_02_BOTTLE_HINT');
    
    RegisterActiveObject('area_shutter',    function(obj_name)
                                                play_field:GetObject('area_shutter'  ):SetVisible(false);
                                                play_field:GetObject('area_sideboard'):SetVisible(true);
                                                
                                                LinkScene(  'area_sideboard',
                                                            'CursorGlass',
                                                            'data/Scenes/02_Dupens_House_Sideboard_HO.lua',
                                                            true);
                                                
                                                play_field:GetObject('shutter_anim'):GetAnimation():Play();
                                                PlaySound('02_OpenShutter');
                                            end,
                                            function(obj_name)
                                                play_field:GetObject('area_shutter'  ):SetVisible(false);
                                                play_field:GetObject('area_sideboard'):SetVisible(true);
                                                
                                                LinkScene(  'area_sideboard',
                                                            'CursorGlass',
                                                            'data/Scenes/02_Dupens_House_Sideboard_HO.lua',
                                                            true);
                                                
                                                local shutter_anim = play_field:GetObject('shutter_anim'):GetAnimation();
                                                shutter_anim:SetFrame(shutter_anim:GetFrames() - 1);
                                             end);
    
    RegisterActiveObject('area_key_patifon', function(obj_name)
                                                if not play_field:GetObject('key_anim'):GetAnimation():IsPlaying() and
                                                   not play_field:GetObject('plastinka'):GetAnimation():IsPlaying()
                                                then
                                                    play_field:GetObject('key_anim'):GetAnimation():Play();
                                                    play_field:GetObject('plastinka'):GetAnimation():Play();
                                                    PlaySound('02_Gramophone');
                                                end
                                             end);
                                             
    UnRegisterQuestObjects('area_key_patifon');
    
   -- CreateZoomZoneScorpion();
    CreateZoomZoneLever();
    
    zoom_chest = CreateZoomZone( 'area_chest',
                                 'CloseZoneChest',
                                 'ZOOM_chest_in_room', true);
    zoom_chest.on_open = function()
        AddNoteToNotebook('CHEST_OPEN');
        
        if not HasGameState('ActionCompleted', 'DupensRoomChestOpen') then
            AddGameState('ActionCompleted', 'DupensRoomChestOpen');
        end
        
   --     ShowMonolog('C_02_CHEST_OPEN', 'C_02_CHEST_OPEN');
    end
    
	InitMiniGameLock(game_state.screen);
    OnSceneLoad_scorpion(game_state.screen);
    
    if HasGameState('MiniGameCompleted', '02_Scorpion') then
        zoom_scorpion.Disable();
        
        play_field:GetObject('area_scorpion'):SetVisible(false);
        play_field:GetObject('area_chest'   ):SetVisible(true);
        
        play_field:GetObject('chest_top'    ):SetOpacity(1.);
        play_field:GetObject('chest_corner' ):SetOpacity(1.);
        
        game_state.chest.setIndex(2);
    end
    
    if HasGameState('ActionCompleted', game_state.scene_path..'(skeletonShown)') then
        play_field:GetObject('skeleton_anim'):SetVisible(true);
        play_field:GetObject('skeleton_legs'):SetVisible(true);
        
        CreateZoomZoneLock();
        
        if HasGameState('ActionCompleted', game_state.scene_path..'(skeletonAnimated)') then
            local skel_anim = play_field:GetObject('skeleton_anim'):GetAnimation();
            skel_anim:SetFrame(skel_anim:GetFrames() - 1);
            
            RegisterGoldFound();
        end
    end
    
    if HasGameState('MiniGameCompleted', '02_lock') then
        zoom_chest.Disable();
        zoom_scorpion.Disable();
        zone_lock.Disable();
    end
    
    CreateLightingEffector();
    
    if not HasGameState('ActionCompleted', game_state.scene_path..'(Gorilla1Composition)') then
        LockAllAreas();
        TimerDoString("CreateGorilla1Composition();", 1, play_field:GetTimer());
    elseif not HasGameState('ActionCompleted', game_state.scene_path..'(Gorilla2Composition)') then
        LockAllAreas();
        CreateGorilla2Composition();
    else
        LinkScene(  'area_corner',
                    'CursorGlass',
                    'data/Scenes/02_Dupens_House_Corner_HO.lua',
                    true);
        
        StartLoopLighting();
    end
    
    RegisterActiveObject('area_gorilla',    function(obj_name)
                                                game_state.gorilla:Resume();
                                                ShowMonolog('C_02_GORILLA_CLICK', 'C_02_GORILLA_CLICK');
                                                AddNoteToNotebook('THE_SILHOUETTE');
                                                
                                                AddGameState('ActionCompleted', game_state.scene_path..'(Gorilla2Composition)');
                                                
                                                play_field:GetObject(obj_name):SetVisible(false);
                                            end,
                                            function(obj_name)
                                                play_field:GetObject(obj_name):SetVisible(false);
                                                AddNoteToNotebook('DUPINS_STORAGE_ROOM');
                                            end);
    
    StopCyclicSound('02_Fireplace');
end

function CreateGorilla1Composition()
    local gorilla1 = CreateGorillaPart1Composition();
    gorilla1:AttachTo( play_field );
    gorilla1:SetZ(105);
    gorilla1:SetEndAction('OnCorilla1CompositionCompleted');
    
    PlaySound('02_Thunder');
    TimerDoString("PlaySound('02_Horror');", 2, play_field:GetTimer());
end

function CreateGorilla2Composition()
    game_state.gorilla = CreateGorillaPart2Composition();
    game_state.gorilla:AttachTo( play_field );
    game_state.gorilla:SetZ(105);
    game_state.gorilla:Pause();  
    game_state.gorilla:SetEndAction('OnCorilla2CompositionCompleted');
    
    play_field:GetObject('area_gorilla'):SetVisible(true);
end

function OnCorilla1CompositionCompleted()
    CreateGorilla2Composition();
    AddGameState('ActionCompleted', game_state.scene_path..'(Gorilla1Composition)');
end

function OnCorilla2CompositionCompleted()
    game_state.gorilla = nil;
    
    AddNoteToNotebook('DUPINS_STORAGE_ROOM');
    
    UnlockAllAreas();
    
    LinkScene(  'area_corner',
                'CursorGlass',
                'data/Scenes/02_Dupens_House_Corner_HO.lua',
                true);
    
    TimerDoString("StartLoopLighting();", math.random()*3, play_field:GetTimer());
end

function LockAllAreas()
    play_field:GetObject('area_shutter'     ):SetVisible(false);
    play_field:GetObject('area_key_patifon' ):SetVisible(false);
    play_field:GetObject('area_corner'      ):SetVisible(false);
    play_field:GetObject('area_lever'       ):SetVisible(false);
    play_field:GetObject('area_scorpion'    ):SetVisible(false);
    
    play_field:GetObject('area_head'        ):SetVisible(false);
    play_field:GetObject('area_animal'      ):SetVisible(false);
    play_field:GetObject('area_bottle'      ):SetVisible(false);
end

function UnlockAllAreas()
    play_field:GetObject('area_shutter'     ):SetVisible(true);
    play_field:GetObject('area_key_patifon' ):SetVisible(true);
    play_field:GetObject('area_corner'      ):SetVisible(true);
    play_field:GetObject('area_lever'       ):SetVisible(true);
    play_field:GetObject('area_scorpion'    ):SetVisible(true);
    
    play_field:GetObject('area_head'        ):SetVisible(true);
    play_field:GetObject('area_animal'      ):SetVisible(true);
    play_field:GetObject('area_bottle'      ):SetVisible(true);
end

function CreateLightingEffector()
    local lighting = play_field:GetObject('lighting');
    local effector = CreateAnimationEffector()
    effector:SetMode(_ANIM_FWD + _ANIM_NOLOOP);
    effector:AttachTo( lighting )
    effector:SetKey(_TRACK_O, 0., 0);
    effector:SetKey(_TRACK_O, 0.20999053030303, 0);
    effector:SetKey(_TRACK_O, 0.34000157828283, 0.72);
    effector:SetKey(_TRACK_O, 0.45999053030303, 0);
    effector:SetKey(_TRACK_O, 0.56001420454545, 0.53);
    effector:SetKey(_TRACK_O, 0.75, 0);
    
    game_state.lighting_eff = effector;
end

function StartLoopLighting()
    game_state.lighting_eff:Play();
    PlaySound('02_Thunder');
    
    TimerDoString("StartLoopLighting()", 0.75 + 3 + math.random()*20, play_field:GetTimer());
end

---------------------------------------------------------------------------
--[[function CreateZoomZoneScorpion()
    zoom_scorpion = CreateZoomZone( 'area_scorpion',
                                    'CloseZoneScorpion',
                                    'ZOOM_scorpion', true,
                                    'sg1',    true,
                                    'sg2',    true,
                                    'sg3',    true,
                                    'sg4',    true,
                                    'sg5',    true,
                                    'sj1',    true,
                                    'sj2',    true,
                                    'sj3',    true,
                                    'sj4',    true,
                                    'sj5',    true,
                                    's_tail', true
                                  );
    zoom_scorpion.on_open = function()
        game_state.scorpion_enable = true;
        
        ShowMonolog('C_02_SKORPION_OPEN', 'C_02_SKORPION_OPEN');
    end
    
    zoom_scorpion.on_close = function()
        game_state.scorpion_enable = false;
    end
    
    game_state.rope = CreateRope('tail');
    game_state.rope.pushNode('s_tail', nil, 624, 367);
    game_state.rope.pushNode('sg1', 'sj1',  624, 327);
    game_state.rope.pushNode('sg2', 'sj2',  584, 327);
    game_state.rope.pushNode('sg3', 'sj3',  544, 327);
    game_state.rope.pushNode('sg4', 'sj4',  504, 327);
    game_state.rope.pushNode('sg5', 'sj5',  504, 367);
    
    LoadRopePos(game_state.rope);
    
    game_state.rope.nodes[5].blocked = true;
    game_state.rope.nodes[5].setPos(504, 367);
    
    game_state.scorpion_enable = false;
end]]

---------------------------------------------------------------------------
function CreateZoomZoneLock()
    play_field:GetObject('area_lock'):SetVisible(true);
	game_state.lock_enable = true;
end

---------------------------------------------------------------------------
function CreateZoomZoneLever()
    zoom_lever = CreateZoomZone('area_lever',
                                'CloseZoneLever',
                                'ZOOM_lever',     true,
                                'Lever1',         false,
                                'Lever2',         true,
                                'area_lever_use', true
                              );
    zoom_lever.on_open = function() 
--        ShowMonolog('C_02_LEVER_OPEN', 'C_02_LEVER_OPEN');
    end
    
    play_field:GetObject('area_lever_use'):GetAnimation():SetColor('0x01FFFFFF');
    
    RegisterActiveObject('area_lever_use',  function(obj_name)
                                                local fade_time = 0.3;
                                                
                                                play_field:GetObject('Lever1'):ChangeOpacity(0., 1., fade_time);
                                                play_field:GetObject('Lever2'):ChangeOpacity(1., 0., fade_time);
                                                
                                                play_field:GetObject('lever1_small'):SetVisible(true);
                                                play_field:GetObject('lever2_small'):SetVisible(false);
                                                
                                                zoom_lever.Disable();
                                                
                                                PlaySound('02_Lever');
                                                TimerDoString('OnLeverUsed()', fade_time, play_field:GetTimer());
                                            end,
                                            function(obj_name)
                                                play_field:GetObject('lever1_small'):SetVisible(true);
                                                play_field:GetObject('lever2_small'):SetVisible(false);
                                                
                                                zoom_lever.Disable();
                                             end);
end

---------------------------------------------------------------------------
function OnLeverUsed()
    zoom_lever.SetObjectVisible('Lever2', false);
     
    if zoom_lever.IsVisible() then
        zoom_lever.SetVisible(false);
    end
    
    local compos = CreateSceletonAnimation();
    PlaySound('02_SkeletonShow');
    
    local state = game_state.scene_path..'(skeletonShown)';
    if not HasGameState('ActionCompleted', state) then
        AddGameState('ActionCompleted', state);
    end
    
    TimerDoString('OnSkeletonShown()', compos:GetDuration() - 0.01, play_field:GetTimer());
end

---------------------------------------------------------------------------
function OnSkeletonShown()
    play_field:GetObject('skeleton_anim'):SetVisible(true);
    play_field:GetObject('skeleton_legs'):SetVisible(true);
    
    CreateZoomZoneLock();
end

function OnSkeletonAnimated()
    local state = game_state.scene_path..'(skeletonAnimated)';
    if not HasGameState('ActionCompleted', state) then
        AddGameState('ActionCompleted', state);
    end
    
    RegisterGoldFound();
end

function RegisterGoldFound()
    RegisterToolFindInfo('02_gold', 'area_get_gold',    function(tool_name)
                                                            play_field:GetObject('skeleton_anim'   ):SetVisible(false);
                                                            play_field:GetObject('skeleton_without'):SetVisible(true);
                                                            play_field:GetObject('area_get_gold'   ):SetVisible(false)
                                                            
                                                            AddNoteToNotebook('GOLD_FOUND')
                                                        end,
                                                        
                                                        function(tool_name)
                                                            play_field:GetObject('skeleton_anim'   ):SetVisible(false);
                                                            play_field:GetObject('skeleton_without'):SetVisible(true);
                                                            play_field:GetObject('area_get_gold'   ):SetVisible(false)
                                                        end);
end

function OnSceneFree(screen)   
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    if game_state.scorpion_enable then
        game_state.rope.update();
        game_state.rope.checkBlockPos();
        
        if game_state.rope.isBlockedAll() then
            AddGameState('MiniGameCompleted', '02_Scorpion');
            
            zoom_scorpion.Disable();
            zoom_scorpion.SetVisible(false);
            
            game_state.need_open_chest = true;
        end
    end
    
	if game_state.lock_enable then
        MiniGameUpdate(object);
    end
    
    if game_state.need_open_chest and game_state.locker:GetNReferences() == 0 then
        play_field:GetObject('area_scorpion'):SetVisible(false);
        play_field:GetObject('area_chest'   ):SetVisible(true);
        
        play_field:GetObject('chest_top'    ):ChangeOpacity(0., 1., 1.5);
        play_field:GetObject('chest_corner' ):ChangeOpacity(0., 1., 1.5);
        
        game_state.chest.animTo(2, 1.);
        game_state.need_open_chest = false;
        
        PlaySound('02_OpenChest');
    end
    
    if game_state.need_anim_sceleton and game_state.locker:GetNReferences() == 0 then
        zoom_chest.Disable();
        zoom_scorpion.Disable();
        zone_lock.Disable();
        
        local skel_anim = play_field:GetObject('skeleton_anim'):GetAnimation();
        skel_anim:Play();
        PlaySound('02_TakeGold');
        
        TimerDoString('OnSkeletonAnimated()', GetAnimationLength(skel_anim), play_field:GetTimer());
        game_state.need_anim_sceleton = false;
    end
    
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    OnObjectMouseEnter_scorpion(object)
    MiniGameLockMouseOver(object)
    
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    OnObjectMouseLeave_scorpion(object)
    MiniGameLockMouseOut(object)
    
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field
    
    OnObjectMouseDown_scorpion(object);
    
    if game_state.scorpion_enable then
        game_state.rope.startDrag(obj_name);
    end
    
    if game_state.lock_enable then
        MiniGameLockMouseDown(object);
    end
    
    if obj_name == 'ZOOM_chest_in_room' then
        ShowMonolog('C_02_CHEST_OPEN', 'C_02_CHEST_OPEN');
    end
    
    if obj_name == 'ZOOM_lever' then
        ShowMonolog('C_02_LEVER_OPEN', 'C_02_LEVER_OPEN');
    end
    
    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    
    OnObjectMouseUp_scorpion(object);
    
	if game_state.lock_enable then
        MiniGameMouseUp(object);
    end
    
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

function CreateSceletonAnimation()
    local composition = CreateCompositionSequence();
    local compositionDuration = 5.4;
    composition:SetDuration(compositionDuration);
    composition:AttachTo(play_field);
    composition:SetZ(103);
    
    -- Layer Smoke_2
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_2");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(414, 410);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(3.28, 3.84);
    
    effector:SetKey(_TRACK_SX, 3.28, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 3.28, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 3.8, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 3.8, 0.94597280079121);
    effector:SetKey(_TRACK_O, 3.28, 0);
    effector:SetKey(_TRACK_O, 3.48, 0.51);
    effector:SetKey(_TRACK_O, 3.8, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_3
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_3");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(407, 415);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.76, 3.32);
    
    effector:SetKey(_TRACK_SX, 2.76, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 2.76, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 3.28, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 3.28, 0.94597280079121);
    effector:SetKey(_TRACK_O, 2.76, 0);
    effector:SetKey(_TRACK_O, 2.96, 0.51);
    effector:SetKey(_TRACK_O, 3.28, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_4
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_4");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(498, 513);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(3.08, 3.64);
    
    effector:SetKey(_TRACK_SX, 3.08, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 3.08, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 3.6, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 3.6, 0.94597280079121);
    effector:SetKey(_TRACK_O, 3.08, 0);
    effector:SetKey(_TRACK_O, 3.28, 0.51);
    effector:SetKey(_TRACK_O, 3.6, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_5
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_5");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(444, 416);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.4, 2.96);
    
    effector:SetKey(_TRACK_SX, 2.4, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 2.4, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 2.92, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 2.92, 0.94597280079121);
    effector:SetKey(_TRACK_O, 2.4, 0);
    effector:SetKey(_TRACK_O, 2.6, 0.51);
    effector:SetKey(_TRACK_O, 2.92, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_6
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_6");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(438, 338);
    
    element:SetAngle(-0.38830914236884);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.8, 3.36);
    
    effector:SetKey(_TRACK_SX, 2.8, 0.77);
    effector:SetKey(_TRACK_SY, 2.8, 0.77);
    effector:SetKey(_TRACK_SX, 3.32, 1.03);
    effector:SetKey(_TRACK_SY, 3.32, 1.03);
    effector:SetKey(_TRACK_O, 2.8, 0);
    effector:SetKey(_TRACK_O, 3, 0.51);
    effector:SetKey(_TRACK_O, 3.32, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_7
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_7");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(485, 365);
    
    element:SetAngle(-1.31440961675046);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.56, 3.12);
    
    effector:SetKey(_TRACK_SX, 2.56, 0.77);
    effector:SetKey(_TRACK_SY, 2.56, 0.77);
    effector:SetKey(_TRACK_SX, 3.08, 1.03);
    effector:SetKey(_TRACK_SY, 3.08, 1.03);
    effector:SetKey(_TRACK_O, 2.56, 0);
    effector:SetKey(_TRACK_O, 2.76, 0.51);
    effector:SetKey(_TRACK_O, 3.08, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_8
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_8");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(445, 481);
    
    element:SetAngle(-0.33161589462614);
    
    effector = element:GetEffector();
    effector:SetLifeTime(3.12, 3.68);
    
    effector:SetKey(_TRACK_SX, 3.12, 0.77);
    effector:SetKey(_TRACK_SY, 3.12, 0.77);
    effector:SetKey(_TRACK_SX, 3.64, 1.03);
    effector:SetKey(_TRACK_SY, 3.64, 1.03);
    effector:SetKey(_TRACK_O, 3.12, 0);
    effector:SetKey(_TRACK_O, 3.32, 0.51);
    effector:SetKey(_TRACK_O, 3.64, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_9
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_9");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(446, 396);
    
    element:SetAngle(-0.33161589462614);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.16, 2.72);
    
    effector:SetKey(_TRACK_SX, 2.16, 0.77);
    effector:SetKey(_TRACK_SY, 2.16, 0.77);
    effector:SetKey(_TRACK_SX, 2.68, 1.03);
    effector:SetKey(_TRACK_SY, 2.68, 1.03);
    effector:SetKey(_TRACK_O, 2.16, 0);
    effector:SetKey(_TRACK_O, 2.36, 0.51);
    effector:SetKey(_TRACK_O, 2.68, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_10
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_10");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(477, 439);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.88, 3.44);
    
    effector:SetKey(_TRACK_SX, 2.88, 0.77);
    effector:SetKey(_TRACK_SY, 2.88, 0.77);
    effector:SetKey(_TRACK_SX, 3.4, 1.03);
    effector:SetKey(_TRACK_SY, 3.4, 1.03);
    effector:SetKey(_TRACK_O, 2.88, 0);
    effector:SetKey(_TRACK_O, 3.08, 0.51);
    effector:SetKey(_TRACK_O, 3.4, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_11
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_11");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(421, 290);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.4, 2.96);
    
    effector:SetKey(_TRACK_SX, 2.4, 0.77);
    effector:SetKey(_TRACK_SY, 2.4, 0.77);
    effector:SetKey(_TRACK_SX, 2.92, 1.03);
    effector:SetKey(_TRACK_SY, 2.92, 1.03);
    effector:SetKey(_TRACK_O, 2.4, 0);
    effector:SetKey(_TRACK_O, 2.6, 0.51);
    effector:SetKey(_TRACK_O, 2.92, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_12
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_12");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(494, 287);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(3.16, 3.72);
    
    effector:SetKey(_TRACK_SX, 3.16, 0.77);
    effector:SetKey(_TRACK_SY, 3.16, 0.77);
    effector:SetKey(_TRACK_SX, 3.68, 1.03);
    effector:SetKey(_TRACK_SY, 3.68, 1.03);
    effector:SetKey(_TRACK_O, 3.16, 0);
    effector:SetKey(_TRACK_O, 3.36, 0.51);
    effector:SetKey(_TRACK_O, 3.68, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_13
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_13");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(437, 237);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.56, 3.12);
    
    effector:SetKey(_TRACK_SX, 2.56, 0.77);
    effector:SetKey(_TRACK_SY, 2.56, 0.77);
    effector:SetKey(_TRACK_SX, 3.08, 1.03);
    effector:SetKey(_TRACK_SY, 3.08, 1.03);
    effector:SetKey(_TRACK_O, 2.56, 0);
    effector:SetKey(_TRACK_O, 2.76, 0.51);
    effector:SetKey(_TRACK_O, 3.08, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_14
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_14");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(470, 247);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.4, 2.96);
    
    effector:SetKey(_TRACK_SX, 2.4, 0.77);
    effector:SetKey(_TRACK_SY, 2.4, 0.77);
    effector:SetKey(_TRACK_SX, 2.92, 1.03);
    effector:SetKey(_TRACK_SY, 2.92, 1.03);
    effector:SetKey(_TRACK_O, 2.4, 0);
    effector:SetKey(_TRACK_O, 2.6, 0.51);
    effector:SetKey(_TRACK_O, 2.92, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_15
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_15");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(414, 410);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.12, 2.68);
    
    effector:SetKey(_TRACK_SX, 2.12, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 2.12, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 2.64, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 2.64, 0.94597280079121);
    effector:SetKey(_TRACK_O, 2.12, 0);
    effector:SetKey(_TRACK_O, 2.32, 0.51);
    effector:SetKey(_TRACK_O, 2.64, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_16
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_16");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(407, 415);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.6, 2.16);
    
    effector:SetKey(_TRACK_SX, 1.6, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 1.6, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 2.12, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 2.12, 0.94597280079121);
    effector:SetKey(_TRACK_O, 1.6, 0);
    effector:SetKey(_TRACK_O, 1.8, 0.51);
    effector:SetKey(_TRACK_O, 2.12, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_17
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_17");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(498, 513);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.92, 2.48);
    
    effector:SetKey(_TRACK_SX, 1.92, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 1.92, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 2.44, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 2.44, 0.94597280079121);
    effector:SetKey(_TRACK_O, 1.92, 0);
    effector:SetKey(_TRACK_O, 2.12, 0.51);
    effector:SetKey(_TRACK_O, 2.44, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_18
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_18");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(444, 416);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.24, 1.8);
    
    effector:SetKey(_TRACK_SX, 1.24, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 1.24, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 1.76, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 1.76, 0.94597280079121);
    effector:SetKey(_TRACK_O, 1.24, 0);
    effector:SetKey(_TRACK_O, 1.44, 0.51);
    effector:SetKey(_TRACK_O, 1.76, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_19
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_19");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(438, 338);
    
    element:SetAngle(-0.38830914236884);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.64, 2.2);
    
    effector:SetKey(_TRACK_SX, 1.64, 0.77);
    effector:SetKey(_TRACK_SY, 1.64, 0.77);
    effector:SetKey(_TRACK_SX, 2.16, 1.03);
    effector:SetKey(_TRACK_SY, 2.16, 1.03);
    effector:SetKey(_TRACK_O, 1.64, 0);
    effector:SetKey(_TRACK_O, 1.84, 0.51);
    effector:SetKey(_TRACK_O, 2.16, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_20
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_20");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(485, 365);
    
    element:SetAngle(-1.31440961675046);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.4, 1.96);
    
    effector:SetKey(_TRACK_SX, 1.4, 0.77);
    effector:SetKey(_TRACK_SY, 1.4, 0.77);
    effector:SetKey(_TRACK_SX, 1.92, 1.03);
    effector:SetKey(_TRACK_SY, 1.92, 1.03);
    effector:SetKey(_TRACK_O, 1.4, 0);
    effector:SetKey(_TRACK_O, 1.6, 0.51);
    effector:SetKey(_TRACK_O, 1.92, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_21
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_21");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(445, 481);
    
    element:SetAngle(-0.33161589462614);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.96, 2.52);
    
    effector:SetKey(_TRACK_SX, 1.96, 0.77);
    effector:SetKey(_TRACK_SY, 1.96, 0.77);
    effector:SetKey(_TRACK_SX, 2.48, 1.03);
    effector:SetKey(_TRACK_SY, 2.48, 1.03);
    effector:SetKey(_TRACK_O, 1.96, 0);
    effector:SetKey(_TRACK_O, 2.16, 0.51);
    effector:SetKey(_TRACK_O, 2.48, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_22
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_22");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(446, 396);
    
    element:SetAngle(-0.33161589462614);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1, 1.56);
    
    effector:SetKey(_TRACK_SX, 1, 0.77);
    effector:SetKey(_TRACK_SY, 1, 0.77);
    effector:SetKey(_TRACK_SX, 1.52, 1.03);
    effector:SetKey(_TRACK_SY, 1.52, 1.03);
    effector:SetKey(_TRACK_O, 1, 0);
    effector:SetKey(_TRACK_O, 1.2, 0.51);
    effector:SetKey(_TRACK_O, 1.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_23
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_23");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(477, 439);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.72, 2.28);
    
    effector:SetKey(_TRACK_SX, 1.72, 0.77);
    effector:SetKey(_TRACK_SY, 1.72, 0.77);
    effector:SetKey(_TRACK_SX, 2.24, 1.03);
    effector:SetKey(_TRACK_SY, 2.24, 1.03);
    effector:SetKey(_TRACK_O, 1.72, 0);
    effector:SetKey(_TRACK_O, 1.92, 0.51);
    effector:SetKey(_TRACK_O, 2.24, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_24
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_24");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(421, 290);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.24, 1.8);
    
    effector:SetKey(_TRACK_SX, 1.24, 0.77);
    effector:SetKey(_TRACK_SY, 1.24, 0.77);
    effector:SetKey(_TRACK_SX, 1.76, 1.03);
    effector:SetKey(_TRACK_SY, 1.76, 1.03);
    effector:SetKey(_TRACK_O, 1.24, 0);
    effector:SetKey(_TRACK_O, 1.44, 0.51);
    effector:SetKey(_TRACK_O, 1.76, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_25
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_25");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(494, 287);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2, 2.56);
    
    effector:SetKey(_TRACK_SX, 2, 0.77);
    effector:SetKey(_TRACK_SY, 2, 0.77);
    effector:SetKey(_TRACK_SX, 2.52, 1.03);
    effector:SetKey(_TRACK_SY, 2.52, 1.03);
    effector:SetKey(_TRACK_O, 2, 0);
    effector:SetKey(_TRACK_O, 2.2, 0.51);
    effector:SetKey(_TRACK_O, 2.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_26
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_26");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(437, 237);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.4, 1.96);
    
    effector:SetKey(_TRACK_SX, 1.4, 0.77);
    effector:SetKey(_TRACK_SY, 1.4, 0.77);
    effector:SetKey(_TRACK_SX, 1.92, 1.03);
    effector:SetKey(_TRACK_SY, 1.92, 1.03);
    effector:SetKey(_TRACK_O, 1.4, 0);
    effector:SetKey(_TRACK_O, 1.6, 0.51);
    effector:SetKey(_TRACK_O, 1.92, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_27
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_27");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(470, 247);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.24, 1.8);
    
    effector:SetKey(_TRACK_SX, 1.24, 0.77);
    effector:SetKey(_TRACK_SY, 1.24, 0.77);
    effector:SetKey(_TRACK_SX, 1.76, 1.03);
    effector:SetKey(_TRACK_SY, 1.76, 1.03);
    effector:SetKey(_TRACK_O, 1.24, 0);
    effector:SetKey(_TRACK_O, 1.44, 0.51);
    effector:SetKey(_TRACK_O, 1.76, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_28
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_28");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(414, 410);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.88, 1.44);
    
    effector:SetKey(_TRACK_SX, 0.88, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 0.88, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 1.4, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 1.4, 0.94597280079121);
    effector:SetKey(_TRACK_O, 0.88, 0);
    effector:SetKey(_TRACK_O, 1.08, 0.51);
    effector:SetKey(_TRACK_O, 1.4, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_29
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_29");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(407, 415);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.36, 0.92);
    
    effector:SetKey(_TRACK_SX, 0.36, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 0.36, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 0.88, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 0.88, 0.94597280079121);
    effector:SetKey(_TRACK_O, 0.36, 0);
    effector:SetKey(_TRACK_O, 0.56, 0.51);
    effector:SetKey(_TRACK_O, 0.88, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_30
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_30");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(498, 513);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.68, 1.24);
    
    effector:SetKey(_TRACK_SX, 0.68, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 0.68, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 1.2, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 1.2, 0.94597280079121);
    effector:SetKey(_TRACK_O, 0.68, 0);
    effector:SetKey(_TRACK_O, 0.88, 0.51);
    effector:SetKey(_TRACK_O, 1.2, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_31
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_31");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(444, 416);
    
    element:SetAngle(-1.35790714953279);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 0.56);
    
    effector:SetKey(_TRACK_SX, 0, 0.68597280079121);
    effector:SetKey(_TRACK_SY, 0, 0.68597280079121);
    effector:SetKey(_TRACK_SX, 0.52, 0.94597280079121);
    effector:SetKey(_TRACK_SY, 0.52, 0.94597280079121);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 0.2, 0.51);
    effector:SetKey(_TRACK_O, 0.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_32
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_32");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(438, 338);
    
    element:SetAngle(-0.38830914236884);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.4, 0.96);
    
    effector:SetKey(_TRACK_SX, 0.4, 0.77);
    effector:SetKey(_TRACK_SY, 0.4, 0.77);
    effector:SetKey(_TRACK_SX, 0.92, 1.03);
    effector:SetKey(_TRACK_SY, 0.92, 1.03);
    effector:SetKey(_TRACK_O, 0.4, 0);
    effector:SetKey(_TRACK_O, 0.6, 0.51);
    effector:SetKey(_TRACK_O, 0.92, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_33
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_33");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(485, 365);
    
    element:SetAngle(-1.31440961675046);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 0.56);
    
    effector:SetKey(_TRACK_SX, 0, 0.77);
    effector:SetKey(_TRACK_SY, 0, 0.77);
    effector:SetKey(_TRACK_SX, 0.52, 1.03);
    effector:SetKey(_TRACK_SY, 0.52, 1.03);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 0.2, 0.51);
    effector:SetKey(_TRACK_O, 0.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_34
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_34");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(445, 481);
    
    element:SetAngle(-0.33161589462614);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.72, 1.28);
    
    effector:SetKey(_TRACK_SX, 0.72, 0.77);
    effector:SetKey(_TRACK_SY, 0.72, 0.77);
    effector:SetKey(_TRACK_SX, 1.24, 1.03);
    effector:SetKey(_TRACK_SY, 1.24, 1.03);
    effector:SetKey(_TRACK_O, 0.72, 0);
    effector:SetKey(_TRACK_O, 0.92, 0.51);
    effector:SetKey(_TRACK_O, 1.24, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_35
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_35");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(446, 396);
    
    element:SetAngle(-0.33161589462614);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 0.56);
    
    effector:SetKey(_TRACK_SX, 0, 0.77);
    effector:SetKey(_TRACK_SY, 0, 0.77);
    effector:SetKey(_TRACK_SX, 0.52, 1.03);
    effector:SetKey(_TRACK_SY, 0.52, 1.03);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 0.2, 0.51);
    effector:SetKey(_TRACK_O, 0.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_36
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_36");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(477, 439);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.48, 1.04);
    
    effector:SetKey(_TRACK_SX, 0.48, 0.77);
    effector:SetKey(_TRACK_SY, 0.48, 0.77);
    effector:SetKey(_TRACK_SX, 1, 1.03);
    effector:SetKey(_TRACK_SY, 1, 1.03);
    effector:SetKey(_TRACK_O, 0.48, 0);
    effector:SetKey(_TRACK_O, 0.68, 0.51);
    effector:SetKey(_TRACK_O, 1, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_37
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_37");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(421, 290);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 0.56);
    
    effector:SetKey(_TRACK_SX, 0, 0.77);
    effector:SetKey(_TRACK_SY, 0, 0.77);
    effector:SetKey(_TRACK_SX, 0.52, 1.03);
    effector:SetKey(_TRACK_SY, 0.52, 1.03);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 0.2, 0.51);
    effector:SetKey(_TRACK_O, 0.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_38
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_38");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(494, 287);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.64, 1.2);
    
    effector:SetKey(_TRACK_SX, 0.64, 0.77);
    effector:SetKey(_TRACK_SY, 0.64, 0.77);
    effector:SetKey(_TRACK_SX, 1.16, 1.03);
    effector:SetKey(_TRACK_SY, 1.16, 1.03);
    effector:SetKey(_TRACK_O, 0.64, 0);
    effector:SetKey(_TRACK_O, 0.84, 0.51);
    effector:SetKey(_TRACK_O, 1.16, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_39
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_39");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(437, 237);
    
    element:SetAngle(-1.16501853822909);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0.16, 0.72);
    
    effector:SetKey(_TRACK_SX, 0.16, 0.77);
    effector:SetKey(_TRACK_SY, 0.16, 0.77);
    effector:SetKey(_TRACK_SX, 0.68, 1.03);
    effector:SetKey(_TRACK_SY, 0.68, 1.03);
    effector:SetKey(_TRACK_O, 0.16, 0);
    effector:SetKey(_TRACK_O, 0.36, 0.51);
    effector:SetKey(_TRACK_O, 0.68, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_40
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm2.png");
    element:SetName("Smoke_40");
    composition:AddElement(element);
    element:SetHotSpot(48.5, 41.5);
    element:SetParentElement(composition);
    element:SetXY(470, 247);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 0.56);
    
    effector:SetKey(_TRACK_SX, 0, 0.77);
    effector:SetKey(_TRACK_SY, 0, 0.77);
    effector:SetKey(_TRACK_SX, 0.52, 1.03);
    effector:SetKey(_TRACK_SY, 0.52, 1.03);
    effector:SetKey(_TRACK_O, 0, 0);
    effector:SetKey(_TRACK_O, 0.2, 0.51);
    effector:SetKey(_TRACK_O, 0.52, 0.03);
    
    effector:Play();
    
    
    -- Layer Smoke_41
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm1.png");
    element:SetName("Smoke_41");
    composition:AddElement(element);
    element:SetHotSpot(117.5, 168.5);
    element:SetParentElement(composition);
    element:SetXY(466, 554);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(3.52, 5.16);
    
    effector:SetKey(_TRACK_SX, 3.52, 1);
    effector:SetKey(_TRACK_SY, 3.52, 1.09806415147662);
    effector:SetKey(_TRACK_SX, 5.12, 1);
    effector:SetKey(_TRACK_SY, 5.12, 2.16631340963685);
    effector:SetKey(_TRACK_O, 3.52, 0);
    effector:SetKey(_TRACK_O, 4.32, 1);
    effector:SetKey(_TRACK_O, 5.12, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_42
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm1.png");
    element:SetName("Smoke_42");
    composition:AddElement(element);
    element:SetHotSpot(117.5, 168.5);
    element:SetParentElement(composition);
    element:SetXY(466, 554);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(2.68, 4.32);
    
    effector:SetKey(_TRACK_SX, 2.68, 1);
    effector:SetKey(_TRACK_SY, 2.68, 1.09806415147662);
    effector:SetKey(_TRACK_SX, 4.28, 1);
    effector:SetKey(_TRACK_SY, 4.28, 2.16631340963685);
    effector:SetKey(_TRACK_O, 2.68, 0);
    effector:SetKey(_TRACK_O, 3.48, 1);
    effector:SetKey(_TRACK_O, 4.28, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_43
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm1.png");
    element:SetName("Smoke_43");
    composition:AddElement(element);
    element:SetHotSpot(117.5, 168.5);
    element:SetParentElement(composition);
    element:SetXY(466, 554);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.88, 3.52);
    
    effector:SetKey(_TRACK_SX, 1.88, 1);
    effector:SetKey(_TRACK_SY, 1.88, 1.09806415147662);
    effector:SetKey(_TRACK_SX, 3.48, 1);
    effector:SetKey(_TRACK_SY, 3.48, 2.16631340963685);
    effector:SetKey(_TRACK_O, 1.88, 0);
    effector:SetKey(_TRACK_O, 2.68, 1);
    effector:SetKey(_TRACK_O, 3.48, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_44
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm1.png");
    element:SetName("Smoke_44");
    composition:AddElement(element);
    element:SetHotSpot(117.5, 168.5);
    element:SetParentElement(composition);
    element:SetXY(466, 554);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(1.08, 2.72);
    
    effector:SetKey(_TRACK_SX, 1.08, 1);
    effector:SetKey(_TRACK_SY, 1.08, 1.09806415147662);
    effector:SetKey(_TRACK_SX, 2.68, 1);
    effector:SetKey(_TRACK_SY, 2.68, 2.16631340963685);
    effector:SetKey(_TRACK_O, 1.08, 0);
    effector:SetKey(_TRACK_O, 1.88, 1);
    effector:SetKey(_TRACK_O, 2.68, 0);
    
    effector:Play();
    
    
    -- Layer Smoke_45
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/sm1.png");
    element:SetName("Smoke_45");
    composition:AddElement(element);
    element:SetHotSpot(117.5, 168.5);
    element:SetParentElement(composition);
    element:SetXY(466, 554);
    
    element:SetAngle(0);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 5.44);
    
    effector:SetKey(_TRACK_SX, 0, 1);
    effector:SetKey(_TRACK_SY, 0, 0.23442136498516);
    effector:SetKey(_TRACK_SX, 1.36, 1);
    effector:SetKey(_TRACK_SY, 1.36, 1.91394658753709);
    effector:SetKey(_TRACK_SX, 2.2, 1);
    effector:SetKey(_TRACK_SY, 2.2, 2.29376854599407);
    effector:SetKey(_TRACK_O, 0.68, 1);
    effector:SetKey(_TRACK_O, 2.16, 0);
    
    effector:Play();
    
    
    -- Layer Skeleton_46
    local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/skel.png");
    element:SetName("Skeleton_46");
    composition:AddElement(element);
    element:SetHotSpot(67, 168);
    element:SetParentElement(composition);
    element:SetScaleX(1);
    element:SetScaleY(1);
    element:SetAngle(0);
    element:SetOpacity(1);
    
    effector = element:GetEffector();
    effector:SetLifeTime(0, 5.44);
    
    effector:SetKey(_TRACK_X, 0.6, 464);
    effector:SetKey(_TRACK_Y, 0.6, 690);
    effector:SetKey(_TRACK_X, 4.08, 464);
    effector:SetKey(_TRACK_Y, 4.08, 388);
    
    effector:Play();
    
    composition:Play();
    
    return composition;
end

function CreateGorillaPart1Composition()
    createCompositiongorila = function()
    
        local compositiongorila = CreateCompositionSequence();
        local compositionDuration = 3.90909090909091;
        compositiongorila:SetDuration(compositionDuration);
    
        -- Layer Layer_1
        local element = createCompositionlighting_Comp_1();
        element:SetName("Layer_1");
        compositiongorila:AddElement(element);
        element:SetHotSpot(314.5, 384);
        element:SetParentElement(compositiongorila);
        element:SetXY(315, 384);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 0.8989898989899);
        effector:SetKey(_TRACK_O, 0.20999053030303, 0);
        effector:SetKey(_TRACK_O, 0.34000157828283, 0.72);
        effector:SetKey(_TRACK_O, 0.45999053030303, 0);
        effector:SetKey(_TRACK_O, 0.56001420454545, 0.53);
        effector:SetKey(_TRACK_O, 0.75, 0);
    
        effector:Play();
    
    
        -- Layer Layer_3
        local element = createCompositionPre_comp_1();
        element:SetName("Layer_3");
        compositiongorila:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositiongorila);
        element:SetXY(512, 384);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.07070707070707, 3.91070707070707);
        effector:Play();
    
        compositiongorila:Play();
    
        return compositiongorila;
    end
    
    createCompositionlighting_Comp_1 = function()
    
        local compositionlighting_Comp_1 = CreateCompositionSequence();
        local compositionDuration = 20.5;
        compositionlighting_Comp_1:SetDuration(compositionDuration);
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/lighting.png");
        element:SetName("Layer_1");
        compositionlighting_Comp_1:AddElement(element);
        element:SetHotSpot(314.5, 384);
        element:SetParentElement(compositionlighting_Comp_1);
        element:SetXY(314.5, 384);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 20.5);
        effector:Play();
    
        compositionlighting_Comp_1:Play();
    
        return compositionlighting_Comp_1;
    end
    
    createCompositionPre_comp_1 = function()
    
        local compositionPre_comp_1 = CreateCompositionSequence();
        local compositionDuration = 3.31;
        compositionPre_comp_1:SetDuration(compositionDuration);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/gramophon_mask.png");
        element:SetName("Layer_1");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(181.5, 152.5);
        element:SetParentElement(compositionPre_comp_1);
        element:SetXY(165.5, 446.5);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 20.5);
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/shadow.png");
        element:SetName("Layer_2");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(125, 121);
        element:SetParentElement(compositionPre_comp_1);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 19.4292929292929);
        effector:SetKey(_TRACK_X, -0.00000394570707, 225);
        effector:SetKey(_TRACK_Y, -0.00000394570707, 439);
        effector:SetKey(_TRACK_X, 0.23233980429293, 165.693142105477);
        effector:SetKey(_TRACK_Y, 0.23233980429293, 448.13157317691);
        effector:SetKey(_TRACK_X, 0.56999605429293, 129);
        effector:SetKey(_TRACK_Y, 0.56999605429293, 453);
        effector:SetKey(_TRACK_X, 0.88999605429293, 123);
        effector:SetKey(_TRACK_Y, 0.88999605429293, 453);
        effector:SetKey(_TRACK_X, 1.74999605429293, 113.5);
        effector:SetKey(_TRACK_Y, 1.74999605429293, 451.5);
        effector:SetKey(_TRACK_A, -0.00000394570707, 0);
        effector:SetKey(_TRACK_A, 0.56999605429293, 0.06116159186177);
        effector:Play();
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/mask.png");
        element:SetName("Layer_3");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(182, 212);
        element:SetParentElement(compositionPre_comp_1);
        element:SetXY(166, 313);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-3.7979797979798, 6.50505050505051);
        effector:Play();
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/lapa.png");
        element:SetName("Layer_4");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(39.5, 60.5);
        compositionPre_comp_1:RegisterParentInfo("Layer_4", "Layer_7");
        element:SetScaleX(0.73764115208131);
        element:SetScaleY(0.72303284849738);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.46);
        effector:SetKey(_TRACK_X, 0, 59.4487467356632);
        effector:SetKey(_TRACK_Y, 0, 75.9839912509149);
        effector:SetKey(_TRACK_X, 0.24, 44.1472217404095);
        effector:SetKey(_TRACK_Y, 0.24, 97.2334155062075);
        effector:SetKey(_TRACK_X, 0.53, 64.5974350708669);
        effector:SetKey(_TRACK_Y, 0.53, 104.854863848536);
        effector:SetKey(_TRACK_X, 1.38, 102.334548556859);
        effector:SetKey(_TRACK_Y, 1.38, 107.941980468116);
        effector:SetKey(_TRACK_X, 1.97, 118.726385291553);
        effector:SetKey(_TRACK_Y, 1.97, 61.941980468116);
        effector:SetKey(_TRACK_X, 2.14, 118.726385291553);
        effector:SetKey(_TRACK_Y, 2.14, 61.941980468116);
        effector:SetKey(_TRACK_X, 2.71, 123.336589373186);
        effector:SetKey(_TRACK_Y, 2.71, 70.941980468116);
        effector:SetKey(_TRACK_A, 0, -0.03804124908839);
        effector:SetKey(_TRACK_A, 0.24, 0.65606705219485);
        effector:SetKey(_TRACK_A, 1.38, 0.30939223643252);
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/eye.png");
        element:SetName("Layer_5");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(5.5, 14);
        compositionPre_comp_1:RegisterParentInfo("Layer_5", "Layer_7");
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.46);
        effector:SetKey(_TRACK_X, 1.15, 60.8855689650225);
        effector:SetKey(_TRACK_Y, 1.15, 57.941980468116);
        effector:SetKey(_TRACK_X, 1.38, 69.337609781349);
        effector:SetKey(_TRACK_Y, 1.38, 54.941980468116);
        effector:SetKey(_TRACK_X, 2.1, 69.337609781349);
        effector:SetKey(_TRACK_Y, 2.1, 54.941980468116);
        effector:SetKey(_TRACK_SX, 1.15, -0.73203756447983);
        effector:SetKey(_TRACK_SY, 1.15, 0.66976233146655);
        effector:SetKey(_TRACK_SX, 1.38, -1.21351527366878);
        effector:SetKey(_TRACK_SY, 1.38, 0.90139722950373);
        effector:SetKey(_TRACK_SX, 2.1, -1.21351527366878);
        effector:SetKey(_TRACK_SY, 2.1, 0.90139722950373);
        effector:SetKey(_TRACK_SX, 2.21, -1.21346416590142);
        effector:SetKey(_TRACK_SY, 2.21, 0.20453454760508);
        effector:SetKey(_TRACK_SX, 2.41, -1.21351527366878);
        effector:SetKey(_TRACK_SY, 2.41, 0.90139722950373);
        effector:SetKey(_TRACK_A, 1.15, -0.29596023721361);
        effector:SetKey(_TRACK_A, 1.38, -0.20487307819438);
        effector:SetKey(_TRACK_A, 2.1, -0.20487307819438);
        effector:SetKey(_TRACK_A, 2.21, -0.06104433963083);
        effector:SetKey(_TRACK_A, 2.41, -0.20487307819438);
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/eye.png");
        element:SetName("Layer_6");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(5.5, 14);
        compositionPre_comp_1:RegisterParentInfo("Layer_6", "Layer_7");
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.46);
        effector:SetKey(_TRACK_X, 1.15, 67.8855689650225);
        effector:SetKey(_TRACK_Y, 1.15, 56.441980468116);
        effector:SetKey(_TRACK_X, 1.38, 77.1059771282879);
        effector:SetKey(_TRACK_Y, 1.38, 54.191980468116);
        effector:SetKey(_TRACK_X, 2.1, 77.1059771282879);
        effector:SetKey(_TRACK_Y, 2.1, 54.191980468116);
        effector:SetKey(_TRACK_SX, 1.15, 1.01652993341693);
        effector:SetKey(_TRACK_SY, 1.15, 1.09389273382898);
        effector:SetKey(_TRACK_SX, 1.38, 1.13951494685581);
        effector:SetKey(_TRACK_SY, 1.38, 1.17363018125346);
        effector:SetKey(_TRACK_SX, 2.1, 1.13951494685581);
        effector:SetKey(_TRACK_SY, 2.1, 1.17363018125346);
        effector:SetKey(_TRACK_SX, 2.21, 1.13946276372139);
        effector:SetKey(_TRACK_SY, 2.21, 0.12367068265182);
        effector:SetKey(_TRACK_SX, 2.41, 1.13951494685581);
        effector:SetKey(_TRACK_SY, 2.41, 1.17363018125346);
        effector:SetKey(_TRACK_A, 1.15, 0.16436328567418);
        effector:SetKey(_TRACK_A, 1.38, 0.26217334659115);
        effector:SetKey(_TRACK_A, 2.1, 0.26217334659115);
        effector:SetKey(_TRACK_A, 2.21, -0.15597838881139);
        effector:SetKey(_TRACK_A, 2.41, 0.26217334659115);
        effector:Play();
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/monkey.png");
        element:SetName("Layer_7");
        compositionPre_comp_1:AddElement(element);
        element:SetHotSpot(125.5, 80);
        element:SetParentElement(compositionPre_comp_1);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.46);
        effector:SetKey(_TRACK_X, 0, 174.5);
        effector:SetKey(_TRACK_Y, 0, 385.5);
        effector:SetKey(_TRACK_X, 0.57, 135.5);
        effector:SetKey(_TRACK_Y, 0.57, 332.5);
        effector:SetKey(_TRACK_X, 1.14, 124);
        effector:SetKey(_TRACK_Y, 1.14, 336);
        effector:SetKey(_TRACK_X, 1.38, 115.5);
        effector:SetKey(_TRACK_Y, 1.38, 336.5);
        effector:SetKey(_TRACK_X, 1.63, 113);
        effector:SetKey(_TRACK_Y, 1.63, 332.5);
        effector:SetKey(_TRACK_X, 1.96, 112.5);
        effector:SetKey(_TRACK_Y, 1.96, 335.5);
        effector:SetKey(_TRACK_X, 2.42, 111);
        effector:SetKey(_TRACK_Y, 2.42, 334.5);
        effector:SetKey(_TRACK_X, 2.88, 112);
        effector:SetKey(_TRACK_Y, 2.88, 335);
        effector:SetKey(_TRACK_SX, 0, 0.84860557768924);
        effector:SetKey(_TRACK_SY, 0, 0.85625);
        effector:SetKey(_TRACK_SX, 0.57, 1);
        effector:SetKey(_TRACK_SY, 0.57, 1);
        effector:SetKey(_TRACK_SX, 1.14, 0.97609561752988);
        effector:SetKey(_TRACK_SY, 1.14, 1);
        effector:SetKey(_TRACK_A, 0, 0.38377700356136);
        effector:SetKey(_TRACK_A, 0.57, 0);
        effector:Play();
    
        compositionPre_comp_1:Play();
    
        return compositionPre_comp_1;
    end
    
    return createCompositiongorila();
end

function CreateGorillaPart2Composition()
     createCompositiongorila = function()
    
        local compositiongorila = CreateCompositionSequence();
        local compositionDuration = 1.83333333333333;
        compositiongorila:SetDuration(compositionDuration);
    
    
        -- Layer Layer_2
        local element = createCompositionPre_comp_2();
        element:SetName("Layer_2");
        compositiongorila:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositiongorila);
        element:SetXY(512, 384);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 20.5);
        effector:Play();
    
        compositiongorila:Play();
    
        return compositiongorila;
    end
    
    createCompositionPre_comp_2 = function()
    
        local compositionPre_comp_2 = CreateCompositionSequence();
        local compositionDuration = 2.16161616161616;
        compositionPre_comp_2:SetDuration(compositionDuration);
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/gramophon_mask.png");
        element:SetName("Layer_1");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(181.5, 152.5);
        element:SetParentElement(compositionPre_comp_2);
        element:SetXY(165.5, 446.5);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 20.5);
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/shadow.png");
        element:SetName("Layer_2");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(125, 121);
        element:SetParentElement(compositionPre_comp_2);
        element:SetAngle(0.06116159186177);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.01010101010101, 19.4191919191919);
        effector:SetKey(_TRACK_X, 0, 113.5);
        effector:SetKey(_TRACK_Y, 0, 451.5);
        effector:SetKey(_TRACK_X, 0.48484848484848, 122.091461181641);
        effector:SetKey(_TRACK_Y, 0.48484848484848, 451.848571777344);
        effector:SetKey(_TRACK_X, 0.86868686868687, 81.7916107177734);
        effector:SetKey(_TRACK_Y, 0.86868686868687, 451.848571777344);
        effector:SetKey(_TRACK_SX, 0.48484848484848, 1);
        effector:SetKey(_TRACK_SY, 0.48484848484848, 1);
        effector:SetKey(_TRACK_SX, 0.86868686868687, 0.69021334930276);
        effector:SetKey(_TRACK_SY, 0.86868686868687, 1);
        effector:SetKey(_TRACK_O, 0.48484848484848, 1);
        effector:SetKey(_TRACK_O, 0.86868686868687, 0);
        effector:Play();
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/mask.png");
        element:SetName("Layer_3");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(182, 212);
        element:SetParentElement(compositionPre_comp_2);
        element:SetXY(166, 313);
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.01010101010101, 2.58585858585859);
        effector:Play();
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/lapa.png");
        element:SetName("Layer_4");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(39.5, 60.5);
        compositionPre_comp_2:RegisterParentInfo("Layer_4", "Layer_7");
        element:SetScaleX(0.73756850782723);
        element:SetScaleY(0.72310406111207);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.00848484848485, 2.62151515151515);
        effector:SetKey(_TRACK_X, -0.0100836489899, 123.451020408163);
        effector:SetKey(_TRACK_Y, -0.0100836489899, 71);
        effector:SetKey(_TRACK_X, 0.26264362373737, 106.290816326531);
        effector:SetKey(_TRACK_Y, 0.26264362373737, 95.5);
        effector:SetKey(_TRACK_X, 0.6868860479798, 131.16009426419);
        effector:SetKey(_TRACK_Y, 0.6868860479798, 98.8517778569032);
        effector:SetKey(_TRACK_A, -0.0100836489899, 0.30939223643252);
        effector:SetKey(_TRACK_A, 0.26264362373737, 1.01945611997767);
        effector:SetKey(_TRACK_A, 0.6868860479798, 2.08408573782104);
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/eye.png");
        element:SetName("Layer_5");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(5.5, 14);
        compositionPre_comp_2:RegisterParentInfo("Layer_5", "Layer_7");
        element:SetAngle(-0.20487307819438);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.00848484848485, 2.62151515151515);
        effector:SetKey(_TRACK_X, -0.0100836489899, 69.4520408163265);
        effector:SetKey(_TRACK_Y, -0.0100836489899, 55);
        effector:SetKey(_TRACK_X, 0.0909264520202, 65.0979591836734);
        effector:SetKey(_TRACK_Y, 0.0909264520202, 56);
        effector:SetKey(_TRACK_SX, -0.0100836489899, -1.21345889709444);
        effector:SetKey(_TRACK_SY, -0.0100836489899, 0.9014391078797);
        effector:SetKey(_TRACK_SX, 0.0909264520202, -0.9235584408588);
        effector:SetKey(_TRACK_SY, 0.0909264520202, 0.68211717338521);
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/eye.png");
        element:SetName("Layer_6");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(5.5, 14);
        compositionPre_comp_2:RegisterParentInfo("Layer_6", "Layer_7");
        element:SetScaleX(1.13943134176567);
        element:SetScaleY(1.17371629566291);
        element:SetAngle(0.26217334659115);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.00848484848485, 2.62151515151515);
        effector:SetKey(_TRACK_X, -0.0100836489899, 77.2204081632654);
        effector:SetKey(_TRACK_Y, -0.0100836489899, 54.25);
        effector:SetKey(_TRACK_X, 0.0909264520202, 70.8173469387756);
        effector:SetKey(_TRACK_Y, 0.0909264520202, 53.5);
        effector:Play();
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/monkey.png");
        element:SetName("Layer_7");
        compositionPre_comp_2:AddElement(element);
        element:SetHotSpot(125.5, 80);
        element:SetParentElement(compositionPre_comp_2);
        element:SetScaleX(0.97609561752988);
        element:SetScaleY(1);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(-0.00848484848485, 2.62151515151515);
        effector:SetKey(_TRACK_X, -0.0100836489899, 111.888304368249);
        effector:SetKey(_TRACK_Y, -0.0100836489899, 334.941980468116);
        effector:SetKey(_TRACK_X, 0.13133049242424, 107.388304368249);
        effector:SetKey(_TRACK_Y, 0.13133049242424, 339.941980468116);
        effector:SetKey(_TRACK_X, 0.41415877525253, 112.388304368249);
        effector:SetKey(_TRACK_Y, 0.41415877525253, 340.191980468116);
        effector:SetKey(_TRACK_X, 0.51414299242424, 100.062427889553);
        effector:SetKey(_TRACK_Y, 0.51414299242424, 344.344314333195);
        effector:SetKey(_TRACK_X, 0.61416666666667, 72.2266424470503);
        effector:SetKey(_TRACK_Y, 0.61416666666667, 353.721619602968);
        effector:SetKey(_TRACK_X, 0.71415088383838, 35.9794645429373);
        effector:SetKey(_TRACK_Y, 0.71415088383838, 365.932547886313);
        effector:SetKey(_TRACK_X, 0.81417455808081, -4.34252609734558);
        effector:SetKey(_TRACK_Y, 0.81417455808081, 379.516196907207);
        effector:SetKey(_TRACK_X, 0.87880523989899, -28.611695631751);
        effector:SetKey(_TRACK_Y, 0.87880523989899, 387.691980468116);
        effector:SetKey(_TRACK_A, -0.0100836489899, 0);
        effector:SetKey(_TRACK_A, 0.41415877525253, 0);
        effector:SetKey(_TRACK_A, 0.87880523989899, -0.19899866635109);
        effector:Play();
    
        compositionPre_comp_2:Play();
    
        return compositionPre_comp_2;
    end
    
    return createCompositiongorila();
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_corner',anim,311,417,106,0,20,20)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_sideboard',anim,676,258,105,0,20,20)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_shutter',anim,676,258,107,0,20,20)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_scorpion',anim,691,557,101,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lever',anim,560,495,106,0,11,11)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lock',anim,433,417,106,0,7,5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_chest',anim,715,472,105,0,18,13)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zoom_chest_in_room/ZOOM_chest_in_room.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZOOM_chest_in_room',anim,512,384,170,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zoom_lever/ZOOM_lever.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZOOM_lever',anim,512,384,180,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lever_use',anim,498,291,183,0,8,18)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/lever1_small.png',0,0,10,40,1,0)
	anim:SetHotSpot(5,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lever1_small',anim,569,489,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/lever2_small.png',0,0,23,26,1,0)
	anim:SetHotSpot(11,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lever2_small',anim,554,499,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Animations/shutter_anim.png',0,0,273,148,6,10)
	anim:SetHotSpot(136,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('shutter_anim',anim,651,263,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/skeleton_legs.png',0,0,51,124,1,0)
	anim:SetHotSpot(25,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skeleton_legs',anim,465,467,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zoom_lever/Lever1.png',0,0,49,152,1,0)
	anim:SetHotSpot(24,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lever1',anim,544,262,182,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zoom_lever/Lever2.png',0,0,56,167,1,0)
	anim:SetHotSpot(28,83)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lever2',anim,499,304,181,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/chest2.png',0,0,338,148,1,0)
	anim:SetHotSpot(169,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chest2',anim,791,478,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/chest3.png',0,0,251,244,1,0)
	anim:SetHotSpot(125,122)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chest3',anim,697,462,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/chest_top.png',0,0,248,244,1,0)
	anim:SetHotSpot(124,122)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chest_top',anim,696,463,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/chest_corner.png',0,0,62,52,1,0)
	anim:SetHotSpot(31,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chest_corner',anim,635,499,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('area_chest1',anim,923,34,150,0,0.01,0.01)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Animations/skeleton_anim.png',0,0,99,185,14,14)
	anim:SetHotSpot(49,92)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skeleton_anim',anim,465,318,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Animations/key_anim.png',0,0,38,44,20,20)
	anim:SetHotSpot(19,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_anim',anim,68,615,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_key_patifon',anim,71,616,108,0,6,6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,10)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_1',anim,543,24,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,13)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_2',anim,526,35,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,14)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_3',anim,644,35,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,8)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_4',anim,597,26,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,15)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_5',anim,450,40,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/Animations/candle.png',0,0,20,40,25,9)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('candle_6',anim,503,29,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/skeleton_without.png',0,0,97,174,1,0)
	anim:SetHotSpot(48,87)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('skeleton_without',anim,455,324,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_get_gold',anim,431,351,106,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Animations/plastinka.png',0,0,122,54,20,10)
	anim:SetHotSpot(61,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('plastinka',anim,103,542,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_head',anim,894,232,101,0,20,20)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_animal',anim,541,177,106,0,20,10)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_bottle',anim,922,377,101,0,7,10)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Animations/clock_anim.png',0,0,22,28,13,12)
	anim:SetHotSpot(11,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('clock_anim',anim,372,210,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Anim/kolba_light_copy.png',0,0,284,664,1,0)
	anim:SetHotSpot(142,332)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kolba_light_copy',anim,458,436,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/02_Dupens_House/Zone_room/Layers/Gorilla/lighting.png',0,0,629,768,1,0)
	anim:SetHotSpot(314,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lighting',anim,314,384,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area_circle.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_gorilla',anim,70,287,106,0,1,1.5)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
